.logister {
    font-family: 'Poppins' !important;
    color: #000000;
    font-weight: 400;
    padding: 58px 23px 50px 20px;
    /*background: #ECEFF8;*/
}
.logister .title {
    line-height: 32px;
    font-weight: 600;
    font-size: 24px;
    color: #323338;
}

.logister .description {
    font-family: inherit;
    font-weight: 400;
    font-size: 16px;
    line-height: 22px;
    min-height: 30px;
    margin-top: 5px;
    margin-bottom: 30px;
    color: #676879;
}

.logister .description br {
    display: block;
}


.logister .form-group {
    display: flex;
    flex-direction: column;
    position: relative;
    margin-bottom: 12px;
}

.logister .form-group label {
    font-family: Poppins;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: 0;
    text-align: left;
    color: #000000;
    margin-bottom: 0;
}

.logister .bottom-section {
    display: flex;
    align-items: center;
    flex-direction: column;
    margin-top: 0;
    gap: 15px;
}

.logister .link, .logister .text {
    margin-bottom: 0;
    text-decoration: none;
    font-weight: 400;
    font-size: 13px;
    line-height: 22px;
}

.logister .link {
    color: #1F76C2;
}

#log-in-button, #sign-up-button {
    color: #1F76C2;
}

.logister .text {
    font-size: 14px;
    line-height: 24px;
    color: #323338;
}

.logister .form-group span.error {
    margin-top: -12px;
}

.logister .form-group.forgot {
    align-items: center;
}

.logister input[type="text"],
.logister input[type="password"] {
    font-weight: 400;
    color: #000000 !important;
    border-radius: 4px;
    border: none;
    padding: 0px;
    height: 42px;
    outline: none;

    /*margin-bottom: 18px;*/
    padding-left: 12px;
}

.logister input[type="text"]::placeholder,
.logister input[type="password"]::placeholder {
    font-weight: 400 !important;
    font-size: 16px !important;
    color: #676879 !important;
}

.logister .btn {
    display: inline;
    border: none;
    background-color: #6161FF;
    color: white;
    font-weight: 500;
    font-size: 16px;
    border-radius: 4px;
    line-height: 24px;
    min-width: 130px;
    cursor: pointer;
    width: 100%;
    height: 40px;
    padding: inherit;
}

.logister .btn:hover {
    background-color: #5151CD !important;
}

.logister input:-webkit-autofill,
.logister input:-webkit-autofill:hover,
.logister input:-webkit-autofill:focus,
.logister input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px white inset !important;
}

.md-checkbox a {
    font-weight: 400;
    font-size: 13px;
    line-height: 22px;
    color: #0073EA;
}

.md-checkbox {
    font-weight: 400;
    font-size: 14px;
    line-height: 24px;
    color: #323338;
    margin-top: 0;
    margin-bottom: 0;
    padding-left: 25px;
}

#logisterModal .form-group.required-input {
    margin-bottom: 0;
}

#logisterModal .form-group.required-input:last-of-type {
    margin-bottom: 0;
}

.logister.register {
    background-color: unset;
}

.user-avatar-wrap {
    font-family: Roboto;
    font-size: 12px;
    line-height: 32px;
    font-weight: 700;
    text-align: center;
    color: #FFFFFF;
    text-transform: uppercase;
    width: 32px;
    height: 32px;
    border-radius: 16px;
    margin-right: 16px;
    background: #6C6CFF;
    cursor: pointer;
}

.user-avatar-wrap span {
}

/*@media (min-width: 768px) { */
    .logister form {
        position: relative;
    }

    .logister.register {
        background-color: unset;
    }

    .logister .form-group {
        display: flex;
        flex-direction: column;
        position: relative;
        gap: 9px;
    }
    
    .logister .form-group label {
        font-size: 16px;
        line-height: 24px;
    }

    .logister input[type="text"],
    .logister input[type="password"] {
        border-radius: 4px;
        border: 1.01854px solid #DCDFEC;
        padding: 0;
        font-size: 16px;
        height: 40px;
        outline: none;
        margin-top: 0;
        font-weight: 400;
        color: #000000;
        padding-left: 12px;
        -moz-appearance:none; /* Firefox */
        webkit-appearance:none;  /** Safari and Chrome */
        appearance:none;
    }

    #logisterModal .logister input[type="password"] {
        margin-bottom: 5px;
    }

    .logister .bottom-section .form-group { 
        margin: 0;
    }

    .logister .alert, .error {
        color: #D83A54;
    }

    .logister .alert {
        margin-bottom: 20px;
    }
    
    .logister .form-group span.error {
        margin-top: -12px;
    }

    #send_credentials_via_email,
    #wppb-form-element-14 .custom_field_checkbox  {
        position: absolute;
        width: 1px;
        height: 1px;
        padding: 0;
        margin: -1px;
        overflow: hidden;
        clip: rect(0, 0, 0, 0);
        border: 0;
    }

/*------*/

/* Basic styling */

.md-checkbox [type=checkbox] {
    width: 16px;
    height: 16px;
    color: #6161FF;
    vertical-align: middle;
    -webkit-appearance: none;
    outline: 0;
    flex-grow: 0;
    background-color: #FFFFFF;
    cursor: pointer;
    border: 1px solid #C5C7D0;
    border-radius: 2px;
    margin-top: -2px;
    margin-left: -25px;
    margin-right: 5px;
}

.md-checkbox.input-error [type=checkbox] {
    border: 1px solid #D83A52;
}

.form-group.parsley-error input {
    border-color: #D83A52 !important;
}

.error-label {
    color: #D83A52;
}

.form-group.parsley-error label {
    color: #D83A52;
}

.form-group.parsley-error .email-error-icon {
    display: flex;
}

.form-group.parsley-error .password-icon svg path {
    fill: #D83A52;
}

/* Pseudo element for check styling */
.md-checkbox [type=checkbox]::before {
    content: "";
    color: transparent;
    display: block;
    width: inherit;
    height: inherit;
    border-radius: inherit;
    border: 0;
    background-color: transparent;
    background-size: contain;
}

.md-checkbox [type=checkbox]:hover:not(:checked) {
    border: 1px solid #C5C7D0;
}

/* Checked */

.md-checkbox [type=checkbox]:checked {
    background-color: #6161FF;
    background-image: url("data:image/svg+xml,%3Csvg width='12' height='8' viewBox='0 0 12 8' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M10.301 0.219287L10.2999 0.220203L4.35629 5.45983L1.69862 3.11693C1.69857 3.11689 1.69852 3.11684 1.69846 3.11679C1.62145 3.04842 1.51666 3.00996 1.40736 3.00996C1.29803 3.00996 1.19323 3.04843 1.11621 3.11683C1.11617 3.11687 1.11613 3.1169 1.11609 3.11693L0.676032 3.50487C0.675978 3.50492 0.675917 3.50497 0.675864 3.50502C0.598304 3.57291 0.554688 3.66528 0.554688 3.76164C0.554688 3.85801 0.598327 3.95041 0.675917 4.0183C0.675955 4.01833 0.675993 4.01837 0.676032 4.0184L4.06817 7.00875C4.06823 7.00882 4.0683 7.00882 4.06836 7.00889C4.14537 7.07726 4.25015 7.11572 4.35944 7.11572C4.46873 7.11572 4.5735 7.07726 4.65051 7.00889C4.65058 7.00882 4.65064 7.00882 4.65071 7.00875L11.3222 1.12746C11.3222 1.12744 11.3223 1.12742 11.3223 1.1274C11.3999 1.0595 11.4436 0.967094 11.4436 0.870692C11.4436 0.774418 11.4 0.682125 11.3226 0.614251C11.3225 0.614143 11.3224 0.614035 11.3222 0.613921L10.8824 0.220621V0.220607L10.8809 0.219287C10.7193 0.0812013 10.4625 0.0812013 10.301 0.219287Z' fill='white' stroke='white' stroke-width='0.194444'/%3E%3C/svg%3E");
    color: white;
    border: 1px solid #6161FF;
    border-radius: 2px;
    background-repeat: no-repeat;
    background-position: center center;
}

/* Disabled */

.md-checkbox [type=checkbox]:disabled {
    background-color: #CCD3D8;
    opacity: 0.84;
    cursor: not-allowed;
}


/* IE */

.md-checkbox [type=checkbox]::-ms-check {
    content: "";
    color: transparent;
    display: block;
    width: inherit;
    height: inherit;
    border-radius: inherit;
    border: 0;
    background-color: transparent;
    background-size: contain;
    box-shadow: inset 0 0 0 1px #CCD3D8;
}

.md-checkbox [type=checkbox]:checked::-ms-check {
    box-shadow: none;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24'%3E %3Cpath d='M15.88 8.29L10 14.17l-1.88-1.88a.996.996 0 1 0-1.41 1.41l2.59 2.59c.39.39 1.02.39 1.41 0L17.3 9.7a.996.996 0 0 0 0-1.41c-.39-.39-1.03-.39-1.42 0z' fill='%23fff'/%3E %3C/svg%3E");
}

/*------*/

.logister .alert, .error {
    color: #D83A52;
}

.form-group input[type="text"].input-error {
    background: none;
}

/*.form-group input#username.input-error,
.form-group input#email.input-error {
    padding-right: 10px;
    background: transparent url("../../images/icon-error-login.svg") no-repeat 96% center;
    background-position-x: 96%;
    border: 1px solid #D83A52;
    background-size: 18px;
}*/

.form-group input[type="text"].input-error,
.form-group input[type="password"].input-error {
    border: 1px solid #D83A52;
}

.password-icon.input-error svg path {
    fill: #D83A52;
}

.form-group .title-error {
    color: #D83A52 !important;
}


#forgot-password-form .alert.success {
    font-family: Poppins;
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    letter-spacing: 0px;
    text-align: left;
    padding-left: 0;
    /*padding-left: 3px;*/
    color: #676879;
    margin-top: 8px;
    margin-bottom: 27px;
}

.alert.login-failed-alert {
    min-height: 0;
}

.alert.login-failed-alert a {
    font-family: Poppins;
    color: #D83A52 !important;
    font-size: 16px !important;
    font-style: normal;
    font-weight: 600 !important;
    line-height: 24px;
}

.modal-content .password-icon {
    display: flex;
    align-items: center;
    position: absolute;
    top: 68%;
    right: 13px;
    width: 1.2rem;
}

.modal-content .password-icon .feather-eye-off {
    margin-top: -2px;
}

.email-error-icon,
.username-error-icon {
    bottom: 10%;
    right: 13px;
    align-items: center;
    position: absolute;
    width: 1.2rem;
    display: none;
}

.email-error-icon.input-error,
.username-error-icon.input-error {
    display: flex;
}

.modal-content .password-icon .feather-eye-off {
    display: none;
}

.modal-content .password-icon:hover {
    cursor: pointer;
    color: #ff4754;
}

.modal-content .password-confirm-group,
.modal-content .password-confirm-group {
    position: relative;
}

#logisterModal .logister input[type="password"] {
    margin-bottom: 0;
}

#logisterModal .logister input[type="text"] {
    margin-bottom: 0;
}

/*.password-icon.input-error {
    display: none;
}*/

.modal-content .register-step-2,
.modal-content .login-step-2 {
    display: none;
}

.modal-content .signup-divider-wrapper {
    display: grid;
    grid-template-columns: 1fr auto 1fr;
    gap: 12px;
    margin-top: 25px;
    margin-bottom: 25px;
    color: #676879;
}

.modal-content .signup-divider-wrapper .signup-divider {
    border-top: 1px solid;
    border-color: #C5C7D0;
    height: 50%;
    align-self: flex-end;
}

.modal-content .signup-login-text {
    margin-top: 10px;
    text-align: center;
    color: #323338;
    font-size: 14px
}

.modal-content .register .signup-login-text {
    position: fixed;
    bottom: 40px;
    width: calc(100% - 46px);
}

.modal-content .signup-login-text .link {
    font-size: 14px;
}

.modal-content .forgot.link {
    font-size: 14px;
    margin-top: 7px;
}

.modal-content .sign-in-btns a {
    display: flex;
    align-items: center;
    gap: 16px;
    min-width: 192px;
    height: 40px;
    border: 1px #C5C7D0 solid;
    border-radius: 4px;
    background-color: #fff;
    color: #1D1C2B;
    font-size: 14px;
    line-height: 20px;
    padding: 8px 0 8px 65px;
    position: relative;
    margin-bottom: 13px;
    cursor: pointer;
}

.modal-content .sign-in-btns a img {
    width: 23px;
}

.login-step {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 16px;
}

.register-step-success {
    padding-top: 30px;
}

.register-step-success .title,
.register-step-success .description {
    text-align: center;
}

.register-step-success .description br {
    display: block !important;
}

.register-step-success .title span {
    color: #6161FF;
}

#register-form .address-not-recognized,
#login-form .address-not-recognized {
    display: none;
}

#register-form .address-not-recognized.active,
#login-form .address-not-recognized.active {
    display: block;
    margin-bottom: 20px;
    overflow: hidden;
    color: #D83A52;
    font-family: Poppins;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
}

#register-form .address-not-recognized.active a,
#login-form .address-not-recognized.active a {
    color: #D83A52;
    font-family: Poppins;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 24px;
}

.text-registration-confirmation {
    visibility: hidden;
    display: none;
}

.text-registration-confirmation.active {
    visibility: visible;
    display: block;
}

.success-email-confirmed {
    display: none;
}

.register-step-success .description {
    margin-top: 9px !important;
}

@media (min-width: 768px) {

    .login-step {
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 20px;
    }

    #logisterModal .form-group.required-input {
        margin-bottom: 0;
    }

    .register-step-success .description {
        margin-top: 12px !important;
    }

    .logister .bottom-section {
        display: flex;
        align-items: center;
        flex-direction: column;
        margin-top: 0;
        gap: 15px;
    }

    .logister.login .bottom-section {
        margin-top: 0;
    }

    .logister .link, .logister .text {
        text-decoration: none;
        margin-bottom: 0;
    }

    .logister .btn {
        display: inline;
        border: none;
        background-color: #6161FF;
        color: white;
        font-weight: 500;
        font-size: 16px;
        border-radius: 4px;
        line-height: 24px;
        min-width: 140px;
        transition: all 0.3s ease-in-out;
        cursor: pointer;
        height: 50px;
        padding: 0;
    }

    .logister .btn:hover {
        background-color: #5151CD !important;
    }

    .logister .btn#register-continue {
        line-height: 25px;
        background-color: #6161FF;
    }

    .logister .description {
        font-weight: 400;
        margin-top: 10px;
        margin-bottom: 27px;
        min-height: 20px;
    }

    .logister .description br {
        display: block;
        /*display: none;*/
    }

    .logister.register .description br {
        display: none;
        /*display: none;*/
    }

    .logister.register input[type="text"],
    .logister.register input[type="password"] {
        border: 1.01854px solid #DCDFEC;
    }

    .md-checkbox input[type=checkbox] + label:before {
        border: 1px solid #DCDFEC;
    }

    .md-checkbox {
        padding-left: 0;
    }

    .form-group input[type="text"].input-error,
    .form-group input[type="password"].input-error {
        border: 1px solid #D83A52;
    }

    .register-step-success {
        padding-top: 0;
    }

    .alert.login-failed-alert {
        min-height: 0;
        margin-bottom: 20px;
    }

    .logister .title {
        font-weight: 600;
        font-size: 24px;
        line-height: 32px;
        margin-top: 42px;
        color: #323338;
    }

    .md-checkbox [type=checkbox] {
        margin-left: 0;
        margin-right: 5px;
    }

    .modal-content .signup-login-text {
        margin-top: 0;
        text-align: center;
        color: #323338;
        font-size: 16px;

        position: unset;
    }

    .modal-content .signup-login-text .link {
        font-size: 16px;
    }

    .modal-content .register .signup-login-text {
        margin-top: 25px;
        position: inherit;
        width: auto;
    }

    .modal-content .forgot.link {
        font-size: 16px;
        margin-top: 25px;
        color: #1F76C2;
    }

    .sign-in-btns {
        display: flex;
        align-items: center;
        gap: 10px;
    }

    .modal-content .sign-in-btns a {
        display: flex;
        align-items: center;
        gap: 8px;
        min-width: 20px;
        height: 40px;
        border: 1px #C5C7D0 solid;
        border-radius: 4px;
        background-color: #fff;
        color: #1D1C2B;
        font-size: 16px;
        line-height: 24px;
        padding: 8px;
        position: relative;
        margin-bottom: 0;
        cursor: pointer;
    }

    .sign-in-btns span {
        display: none;
    }
}

@media screen and ( max-width: 520px ) {
    .modal-content .sign-in-btns a {
        padding: 8px 0 8px 85px;
    }
}

@media screen and ( max-width: 390px ) {
    .modal-content .sign-in-btns a {
        padding: 8px 0 8px 65px;
    }
}

@media screen and ( max-width: 375px ) {
    .modal-content .register .signup-login-text {
        margin-top: 40px;
        position: inherit;
        width: auto;
    }
}


